Support » Plugin: Mailgun for WordPress » Don’t bother with this outdated plugin

  • I have wasted 2 days trying to get this plugin to work and it won’t. There are better plugins

  • The topic ‘Don’t bother with this outdated plugin’ is closed to new replies.